Loading...
Searching...
No Matches
Internal APR support functions
Apache Portability Runtime library
Collaboration diagram for Internal APR support functions:

## Functions

apr_status_t | apr_wait_for_io_or_timeout (apr_file_t *f, apr_socket_t *s, int for_read)

## Detailed Description

## Function Documentation

## apr_wait_for_io_or_timeout()

apr_status_t apr_wait_for_io_or_timeout | ( | apr_file_t * | f,
|  | apr_socket_t * | s,
|  | int | for_read
| ) |  |

Wait for IO to occur or timeout.

Parameters

  f | The file to wait on.
  s | The socket to wait on if f is `NULL`.
  for_read | If non-zero wait for data to be available to read, otherwise wait for data to be able to be written.

Returns
  APR_TIMEUP if we run out of time.